---
title: 'baseEntity'
description: 'Defines the base entity for a inherited class'
---

# `baseEntity`

::alert{type='warning'}
This field is required for a class which is inheriting one of the classes defined
::

Look at [Single Table Inheritance](../../guide/model/single-table-inheritance) for more detail

## Usage

````js
class Adult extends Person {
  static entity = 'adult'
  
  static baseEntity = 'person'

  static fields () {
    return {
      ...super.fields(),
      job: this.attr('')
    }
  }
}
````

## Typescript Declarations
````ts
const baseEntity: string = undefined
````
